Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 Tools » new uml2 tools integration release
new uml2 tools integration release [message #662367] Wed, 30 March 2011 08:19 Go to next message
Christian Waniek is currently offline Christian Waniek
Messages: 50
Registered: May 2010
Member
Hi folks,

I proudly announce the resurrection of the UML2 Tools. There is a first integration release of version 0.10.0.

update site:
http://download.eclipse.org/modeling/mdt/uml2tools/updates/i nterim/

Maybe the wiki will be also helpful:
http://wiki.eclipse.org/MDT-UML2Tools
Re: new uml2 tools integration release [message #662455 is a reply to message #662367] Wed, 30 March 2011 13:21 Go to previous messageGo to next message
Jon Juul is currently offline Jon Juul
Messages: 1
Registered: March 2011
Junior Member
I'm not too familiar with this project, please help. On Helios Service Release 2 Build id: 20110218-0911 Eclipse 3.6.2 when using http://download.eclipse.org/modeling/mdt/uml2tools/updates/i nterim/ I'm getting:

Quote:
Cannot complete the install because one or more required items could not be found.
Software being installed: UML2 Tools (Incubation) 0.10.0.201103290534-7O8--cLTxI-3122143_1645 (org.eclipse.uml2tools.feature.group 0.10.0.201103290534-7O8--cLTxI-3122143_1645)
Missing requirement: UML2Tools Sequence Diagram Internal Model (Incubation) 0.9.1.201103290533 (org.eclipse.uml2.diagram.sequence.model 0.9.1.201103290533) requires 'bundle org.eclipse.gmf.runtime.notation [1.5.0,2.0.0)' but it could not be found
Cannot satisfy dependency:
From: UML2 Diagramming (Incubation) 0.10.0.201103290534 (org.eclipse.uml2.diagram.feature.group 0.10.0.201103290534)
To: org.eclipse.uml2.diagram.sequence.model [0.9.1.201103290533]
Cannot satisfy dependency:
From: UML2 Tools (Incubation) 0.10.0.201103290534-7O8--cLTxI-3122143_1645 (org.eclipse.uml2tools.feature.group 0.10.0.201103290534-7O8--cLTxI-3122143_1645)
To: org.eclipse.uml2.diagram.feature.group [0.10.0.201103290534]


GMF 1.5: http://www.eclipse.org/modeling/gmp/downloads/?project=gmf-r untime&showAll=0&showMax=5&sortBy=date.

There were some dependency conflicts which I resolved by uninstalling and reinstall helios then installing GMF 1.5 then UML Tools.

It's working for me now.

Thanks,

Jon

[Updated on: Wed, 30 March 2011 14:28]

Report message to a moderator

Re: new uml2 tools integration release [message #662575 is a reply to message #662455] Thu, 31 March 2011 03:37 Go to previous messageGo to next message
Ed Willink is currently offline Ed Willink
Messages: 3844
Registered: July 2009
Senior Member
Hi Jon

P2 diagnostics are a bit cryptic...

"requires 'bundle org.eclipse.gmf.runtime.notation [1.5.0,2.0.0)' but it
could not be found"

is the critical failure. GMF 1.5.0 is the Indigo release so you need to
install Eclipse 3.7M6.

Regards

Ed Willink





On 30/03/2011 18:21, Jon Juul wrote:
> I'm not too familiar with this project, please help. On Helios Service
> Release 2 Build id: 20110218-0911 when using
> http://download.eclipse.org/modeling/mdt/uml2tools/updates/i nterim/
> I'm getting:
>
> Quote:
>> Cannot complete the install because one or more required items could
>> not be found.
>> Software being installed: UML2 Tools (Incubation)
>> 0.10.0.201103290534-7O8--cLTxI-3122143_1645
>> (org.eclipse.uml2tools.feature.group
>> 0.10.0.201103290534-7O8--cLTxI-3122143_1645)
>> Missing requirement: UML2Tools Sequence Diagram Internal Model
>> (Incubation) 0.9.1.201103290533
>> (org.eclipse.uml2.diagram.sequence.model 0.9.1.201103290533) requires
>> 'bundle org.eclipse.gmf.runtime.notation [1.5.0,2.0.0)' but it could
>> not be found
>> Cannot satisfy dependency:
>> From: UML2 Diagramming (Incubation) 0.10.0.201103290534
>> (org.eclipse.uml2.diagram.feature.group 0.10.0.201103290534)
>> To: org.eclipse.uml2.diagram.sequence.model [0.9.1.201103290533]
>> Cannot satisfy dependency:
>> From: UML2 Tools (Incubation)
>> 0.10.0.201103290534-7O8--cLTxI-3122143_1645
>> (org.eclipse.uml2tools.feature.group
>> 0.10.0.201103290534-7O8--cLTxI-3122143_1645)
>> To: org.eclipse.uml2.diagram.feature.group [0.10.0.201103290534]
>
>
> Thanks,
>
> Jon
Re: new uml2 tools integration release [message #662616 is a reply to message #662575] Thu, 31 March 2011 06:03 Go to previous messageGo to next message
Christian Waniek is currently offline Christian Waniek
Messages: 50
Registered: May 2010
Member
Luckily the latest GMF milestones also work with Eclipse 3.6. So you don't need to use Eclipse 3.7. You only need to add the following update site to your Eclipse 3.6:
http://download.eclipse.org/modeling/gmp/updates/milestones/
Re: new uml2 tools integration release [message #663181 is a reply to message #662367] Mon, 04 April 2011 05:17 Go to previous message
Eugene   is currently offline Eugene
Messages: 26
Registered: July 2009
Junior Member
Hi,
The resurrected looks pretty scary. Are there any plans to inhale some more life in it?

Best regards, Eugene.

[Updated on: Mon, 04 April 2011 05:18]

Report message to a moderator

Previous Topic:Create several representations of one class in UML2Tools
Next Topic:how can i create state machine diagram from a java class?
Goto Forum:
  


Current Time: Mon Apr 21 03:22:02 EDT 2014

Powered by FUDForum. Page generated in 0.09739 seconds